# -*- encoding: utf-8 -*-
# stub: azure_mgmt_privatedns 0.17.1 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_privatedns".freeze
  s.version = "0.17.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/management/azure_mgmt_privatedns" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.description = "Microsoft Azure Private DNS Management Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/2018-09-01".freeze, "lib/2018-09-01/generated".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/aaaa_record.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/arecord.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/cname_record.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/mx_record.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/private_zone.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/private_zone_list_result.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/provisioning_state.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/proxy_resource.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/ptr_record.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/record_set.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/record_set_list_result.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/record_type.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/resource.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/soa_record.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/srv_record.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/sub_resource.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/tracked_resource.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/txt_record.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/virtual_network_link.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/virtual_network_link_list_result.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/models/virtual_network_link_state.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/module_definition.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/private_dns_management_client.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/private_zones.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/record_sets.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_privatedns/virtual_network_links.rb".freeze, "lib/azure_mgmt_privatedns.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/privatedns_profile_module.rb".freeze, "lib/profiles/latest/privatedns_latest_profile_client.rb".freeze, "lib/profiles/latest/privatedns_module_definition.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Private DNS Management services.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
